package com.isidroid.spot.data.source.local.dao

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import com.isidroid.spot.model.Spot

@Dao
interface SpotDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun insert(vararg spots: Spot)

    @Delete
    fun delete(vararg spot: Spot)

    @Query("SELECT * FROM spot WHERE id IN (:ids)")
    fun findSpots(ids: List<String>): List<Spot>
}